/**
 *      @author Gaurav Bhalotia
 *      @author Ariel Schwartz
 *      
 */

package biotextEngine.xmlparsers.medline;
import biotextEngine.xmlparsers.NodeHandler;
import java.sql.*;
 
public class ArticlePublicationType extends NodeHandler{


    static final String[] columnNameDef = {
        "pmid",
        "publication_type"
    };

    static final String[] xmlElementNameDef = {
        "PMID",
        "PublicationType",
    };

    static final int[] columnTypeDef = {
        Types.INTEGER,
        Types.VARCHAR
    };

    public ArticlePublicationType(String pmid) throws Exception{
	
        tableName = "medline_article_publication_type";

        columnName = columnNameDef;
        xmlElementName = xmlElementNameDef;
        columnType = columnTypeDef;

        initialize();

        /* Add any data that does not come through XML to the hashtable */
        putColumnValue("PMID", pmid);

    }

}
