/**
 *      @author Gaurav Bhalotia
 *      @author Ariel Schwartz
 *      
 */

package biotextEngine.xmlparsers.medline;
import biotextEngine.xmlparsers.NodeHandler;
import java.sql.*;
 
public class Chemical extends NodeHandler{


    static final String[] columnNameDef = {
        "pmid",
        "registry_number",
        "name_of_substance"
    };

    static final String[] xmlElementNameDef = {
        "PMID",
        "Chemical.RegistryNumber",
        "Chemical.NameOfSubstance"
    };

    static final int[] columnTypeDef = {
        Types.INTEGER,
        Types.VARCHAR,
        Types.VARCHAR
    };

    public Chemical(String pmid) throws Exception{
	
        tableName = "medline_chemical_list";
	xmlNodeName = "Chemical";

        columnName = columnNameDef;
        xmlElementName = xmlElementNameDef;
        columnType = columnTypeDef;

        initialize();

        /* Add any data that does not come through XML to the hashtable */
        putColumnValue("PMID", pmid);

    }

}
