/**
 *      @author Ariel Schwartz
 *      
 */

package biotextEngine.xmlparsers.medline;
import biotextEngine.xmlparsers.NodeHandler;
import java.sql.*;
 
public class GeneralNote extends NodeHandler{


    static final String[] columnNameDef = {
        "pmid",
        "owner",
	"general_note"
    };

    static final String[] xmlElementNameDef = {
        "PMID",
        "GeneralNote.Owner",
	"GeneralNote"
    };

    static final int[] columnTypeDef = {
        Types.INTEGER,
        Types.VARCHAR,
        Types.VARCHAR
    };

    public GeneralNote(String pmid) throws Exception{
	
        tableName = "medline_general_note";

        columnName = columnNameDef;
        xmlElementName = xmlElementNameDef;
        columnType = columnTypeDef;

        initialize();

        /* Add any data that does not come through XML to the hashtable */
        putColumnValue("PMID", pmid);
    }
}
