/**
 *      @author Gaurav Bhalotia
 *      @author Ariel Schwartz
 *      
 */

package biotextEngine.xmlparsers.medline;
import biotextEngine.xmlparsers.NodeHandler;
import java.sql.*;
 
public class Grant extends NodeHandler{


    static final String[] columnNameDef = {
        "pmid",
        "grant_id",
        "acronym",
        "agency"
    };

    static final String[] xmlElementNameDef = {
        "PMID",
        "Grant.GrantID",
        "Grant.Acronym",
        "Grant.Agency"
    };

    static final int[] columnTypeDef = {
        Types.INTEGER,
        Types.VARCHAR,
        Types.VARCHAR,
        Types.VARCHAR
    };

    public Grant(String pmid) throws Exception{
	
        tableName = "medline_grant";

        columnName = columnNameDef;
        xmlElementName = xmlElementNameDef;
        columnType = columnTypeDef;

        initialize();

        /* Add any data that does not come through XML to the hashtable */
        putColumnValue("PMID", pmid);

    }

}
