/**
 *      @author Ariel Schwartz
 *      
 *      
 */

package biotextEngine.xmlparsers.medline;
import biotextEngine.xmlparsers.NodeHandler;
import java.sql.*;
 
public class Investigator extends NodeHandler{


    static final String[] columnNameDef = {
        "pmid",
        "last_name",
        "fore_name",
        "first_name",
        "middle_name",
        "initials",
        "suffix",
	"affiliation"
    };

    static final String[] xmlElementNameDef = {
        "PMID",
        "Investigator.LastName",
        "Investigator.ForeName",
        "Investigator.FirstName",
        "Investigator.MiddleName",
        "Investigator.Initials",
        "Investigator.Suffix",
	"Investigator.Affiliation"
    };

    static final int[] columnTypeDef = {
        Types.INTEGER,
        Types.VARCHAR,
        Types.VARCHAR,
        Types.VARCHAR,
        Types.VARCHAR,
        Types.VARCHAR,
        Types.VARCHAR,
        Types.VARCHAR
    };

    public Investigator(String pmid) throws Exception{
	
        tableName = "medline_investigator";

        columnName = columnNameDef;
        xmlElementName = xmlElementNameDef;
        columnType = columnTypeDef;

        initialize();

        /* Add any data that does not come through XML to the hashtable */
        putColumnValue("PMID", pmid);

    }
}
