/**
 *      @author Gaurav Bhalotia
 *      @author Ariel Schwartz
 *      
 */

package biotextEngine.xmlparsers.medline;
import biotextEngine.xmlparsers.NodeHandler;
import java.sql.*;
 
public class Keyword extends NodeHandler{


    static final String[] columnNameDef = {
        "pmid",
        "keyword",
        "keyword_major_yn"
    };

    static final String[] xmlElementNameDef = {
        "PMID",
        "Keyword",
        "Keyword.MajorTopicYN"
    };

    static final int[] columnTypeDef = {
        Types.INTEGER,
        Types.VARCHAR,
        Types.VARCHAR
    };

    public Keyword(String pmid) throws Exception{
	
        tableName = "medline_keyword_list";
	xmlNodeName = "Keyword";
	ignoreDuplicateKeyError = true;

        columnName = columnNameDef;
        xmlElementName = xmlElementNameDef;
        columnType = columnTypeDef;


        initialize();

        /* Add any data that does not come through XML to the hashtable */
        putColumnValue("PMID", pmid);
    }
}
