/**
 *      @author Ariel Schwartz
 */

package biotextEngine.xmlparsers.medline;
import biotextEngine.xmlparsers.NodeHandler;
import java.sql.*;
 
public class OtherAbstract extends NodeHandler{


    static final String[] columnNameDef = {
        "pmid",
        "type",
	"copyright_info",
	"abstract_text"
    };

    static final String[] xmlElementNameDef = {
        "PMID",
	"OtherAbstract.Type",
        "OtherAbstract.CopyrightInformation",
	"OtherAbstract.AbstractText"
    };

    static final int[] columnTypeDef = {
        Types.INTEGER,
        Types.VARCHAR,
        Types.VARCHAR,
	Types.CLOB
    };

    public OtherAbstract(String pmid) throws Exception{
	
        tableName = "medline_citation_other_abstract";

        columnName = columnNameDef;
        xmlElementName = xmlElementNameDef;
        columnType = columnTypeDef;

        initialize();

        /* Add any data that does not come through XML to the hashtable */
        putColumnValue("PMID", pmid);
    }
}
