/**
 *      @author Ariel Schwartz
 *      
 */

package biotextEngine.xmlparsers.medline;
import biotextEngine.xmlparsers.NodeHandler;
import java.sql.*;
 
public class SpaceFlightMission extends NodeHandler{


    static final String[] columnNameDef = {
        "pmid",
        "space_flight_mission"
    };

    static final String[] xmlElementNameDef = {
        "PMID",
        "SpaceFlightMission",
    };

    static final int[] columnTypeDef = {
        Types.INTEGER,
        Types.VARCHAR
    };

    public SpaceFlightMission(String pmid) throws Exception{
	
        tableName = "medline_space_flight_mission";

        columnName = columnNameDef;
        xmlElementName = xmlElementNameDef;
        columnType = columnTypeDef;

        initialize();

        /* Add any data that does not come through XML to the hashtable */
        putColumnValue("PMID", pmid);
    }
}
